import request from '@/utils/request'

/**
 * 黑名单任务列表（分页）
 * @param data
 * @returns {*}
 */
export function getList(data) {
  return request({
    url: '/api/v1/user/blacklist/task/page',
    method: 'post',
    headers: { 'content-type': 'application/json' },
    data
  })
}
/**
 * 批量导入黑名单
 * @param data
 * @returns {*}
 */
export function importBlackTask(data) {
  return request({
    url: '/api/v1/user/blacklist/task/import',
    method: 'post',
    headers: {
      'Content-Type': 'multipart/form-data'
    },
    data
  })
}

/**
 * 删除黑名单任务
 * @param id
 * @returns {*}
 */
export function deleteById(id) {
  return request({
    url: `/api/v1/user/blacklist/del/${id}`,
    method: 'post'
  })
}

/**
 * 黑名单任务列表（不分页）
 * @param data
 * @returns {*}
 */
export function getBlackList(data) {
  return request({
    url: '/api/v1/user/blacklist/task/list',
    method: 'post',
    headers: { 'content-type': 'application/json' },
    data
  })
}
